#if !defined(AFX_FRAMESELECTDIALOG_H__8095BC48_6ADE_4640_9514_AA1C850C528D__INCLUDED_)
#define AFX_FRAMESELECTDIALOG_H__8095BC48_6ADE_4640_9514_AA1C850C528D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FrameSelectDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CFrameSelectDialog dialog

class CDVDPreview;

#define MAX_NUM_CELL 1024

typedef struct
{
	int		VOBID;			// Cell's VOBID.
	int		CellID;			// Cell's CELLID.
	int		VTSIndex;		// Index of VTS where cell resides.
	int		SelectedFrame;	// Sector of selected I-frame.
} CellInfo;

class CFrameSelectDialog : public CDialog
{
// Construction
public:
	CFrameSelectDialog(CWnd* pParent = NULL);   // standard constructor
	CFrameSelectDialog::~CFrameSelectDialog();

// Dialog Data
	//{{AFX_DATA(CFrameSelectDialog)
	enum { IDD = IDD_FRAMESELECTDIALOG };
	CSliderCtrl	m_FrameSlider;
	//}}AFX_DATA

	char*			m_Title;					// Title of the dialog.
	char*			m_FileName;					// VOB filename (for the preview!).
	HWND			m_PreviewHWND;				// HWND of the preview window.
	RECT			m_MyRect;					// Our dialog rect.
	CellInfo		m_CellInfo[MAX_NUM_CELL];	// Info about the cells.
	int				m_CellInfoSize;				// How many cells do we have info about.

	int				m_Auto;						// Indicates the user wants to switch to "automatic" mode.
	int				m_Kill;						// Indicates the user wants to kill this cell.
	int				m_NormallySkipped;			// Indicates this cell was going to be killed (no buttons).

	int				m_VOBID;					// This cell's VOBID.
	int				m_CELLID;					// This cell's CELLID.
	int				m_VTSIndex;					// The current VTS index.

	int				m_StartLBA;					// Start sector of the cell in the VOB file.
	int				m_EndLBA;					// End sector of the cell in the VOB file.
	int				m_DefaultLBA;				// Sector for the default I-frame to select.
	int				m_SelectedLBA;				// Selected I-frame.
	CDVDPreview*	m_Preview;					// Our DVD Preview object.

	int				GetSelectedLBA();			// Returns the sector for the I-frame selected by the user.
												// -1 if the cell is to be killed, -2 if it's to be kept intact.

	// Helper functions.
	void			AdjustSize(int cx);
	void			ResetInfo();

	// Function to save/load our cell info to/from a file.
	void			SaveData(char* FullPath);
	void			LoadData(char* FullPath);


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFrameSelectDialog)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	void			UpdateSlider();
	void			SetDefaultLBA();

	// Generated message map functions
	//{{AFX_MSG(CFrameSelectDialog)
	afx_msg void OnCancel();
	afx_msg void OnLeft();
	afx_msg void OnRight();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	afx_msg void OnAuto();
	virtual void OnOK();
	afx_msg void OnMove(int x, int y);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnStart();
	afx_msg void OnEnd();
	afx_msg void OnKill();
	afx_msg void OnKeep();
	//}}AFX_MSG
	bool OnToolTipNotify( UINT id, NMHDR * pNMHDR, LRESULT * pResult );
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FRAMESELECTDIALOG_H__8095BC48_6ADE_4640_9514_AA1C850C528D__INCLUDED_)
