// MenuShrinkDlg.h : header file
//

#if !defined(AFX_MENUSHRINKDLG_H__8388EB41_64D5_4464_8697_5C4C0DD5F3BC__INCLUDED_)
#define AFX_MENUSHRINKDLG_H__8388EB41_64D5_4464_8697_5C4C0DD5F3BC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMenuShrinkDlg dialog

#include "MiscDialogs.h"
#include "MenuShrinkEngine.h"

class CMenuShrinkDlg : public CDialog
{
// Construction
public:
	CMenuShrinkDlg(CWnd* pParent = NULL);	// standard constructor

	CLogDialog*			m_LogDialog;
	CAdvancedDialog*	m_AdvancedDialog;
	CPathDialog*		m_PathDialog;
	bool				m_Running;				// Indicates we're currently processing.
	bool				m_ReturnedError;		// Did processing complete successfully?
	int					m_Timer;
	CRITICAL_SECTION	m_csLock;

	void				UpdateUI();
	void				AdjustToLanguage();

	char				m_IniFile[MAX_PATH];
	void				OpenDVD(char* Path);
	char*				m_OpenAtStartup;		// If not "" this DVD will be open when the app starts.
	int					m_VTSToOpen;			// If not -1, only this VTS will be selected in the VTS list.

// Dialog Data
	//{{AFX_DATA(CMenuShrinkDlg)
	enum { IDD = IDD_MENUSHRINK_DIALOG };
	CButton	m_KeepAudio;
	CEdit	m_Message;
	CProgressCtrl	m_Progress;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMenuShrinkDlg)
	public:
	virtual BOOL DestroyWindow();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	HRESULT ResolveIt(HWND hwnd, LPSTR pszShortcutFile);

	// Generated message map functions
	//{{AFX_MSG(CMenuShrinkDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnProcess();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRestore();
	afx_msg void OnShrink();
	afx_msg void OnShowlow();
	afx_msg void OnKeepaudio();
	afx_msg void OnShowadvanced();
	afx_msg void OnPowerdvd();
	afx_msg void OnShowabout();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnShowpath();
	afx_msg void OnOpenfiles();
	afx_msg void OnOpen();
	//}}AFX_MSG
	void OnDropFiles(HDROP hDropInfo) ;
	bool OnToolTipNotify( UINT id, NMHDR * pNMHDR, LRESULT * pResult );
	void OnFKey(UINT nID );
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MENUSHRINKDLG_H__8388EB41_64D5_4464_8697_5C4C0DD5F3BC__INCLUDED_)
